## raph-scripts 1.2

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/usr/bin $(DESTDIR)/lib
	$(INSTALL) src/usr/bin/* $(DESTDIR)/usr/bin
	$(INSTALL) -m 644 src/lib/raph-shell-functions $(DESTDIR)/lib

clean:

=== debian/changelog ===
raph-scripts (1.2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6, no changes required
  * Add raph-shell-functions

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 03 May 2015 07:10:17 +0200

raph-scripts (1.1) unstable; urgency=medium

  * Add new scripts: bat-mon, cpufreq-mon and ksm-mon

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 18 Jan 2015 19:47:04 +0100

raph-scripts (1.0) stable; urgency=medium

  * deb-cleanup: revamped script completely, less keystrokes needed
  * deb-mix: fixed script for new apt-show-versions multi-arch handling
  * deb-mix: updated distros 

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 21 Dec 2014 14:48:17 +0100

raph-scripts (0.9.1) stable; urgency=medium

  * Added missing bc dependency

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 30 Jan 2014 15:29:01 +0100

raph-scripts (0.9) stable; urgency=medium

  * Reset the LANG variable to C in ssh-to

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 11 Dec 2013 09:12:22 +0100

raph-scripts (0.8) stable; urgency=medium

  * Fixed a minor bug in deb-upgrade ($HOSTNAME is empty in dash)
  * Added a help message in ssh-to if it wasn't called as a symlink
  * Re-organized source tree and modified Makefile accordingly

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 11 Dec 2013 08:54:25 +0100

raph-scripts (0.7) stable; urgency=low

  * Fixed a bug in deb-mix

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 20 Sep 2013 05:34:19 +0200

raph-scripts (0.6) stable; urgency=low

  * Fixed minor bug in deb-upgrade

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 28 Aug 2013 17:15:28 +0200

raph-scripts (0.5) stable; urgency=low

  * Bumped debhelper compatibility level from 5 to 9
  * Added debian/source/format file

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 18 Aug 2013 08:08:45 +0200

raph-scripts (0.4) stable; urgency=low

  * Modified all scripts to be dash-compliant and use /bin/sh instead of bash

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 18 Aug 2013 07:56:57 +0200

raph-scripts (0.3) stable; urgency=low

  * deb-mix: added Jessie, Quantal, Raring, Nadia and Olivia

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 17 Aug 2013 16:41:02 +0200

raph-scripts (0.2) stable; urgency=low

  * Updated debian/copyright to be machine-readable 

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 25 Jun 2013 00:36:47 +0200

raph-scripts (0.1) stable; urgency=low

  * Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 24 Jun 2013 15:49:48 +0200

=== debian/control ===
Source: raph-scripts
Section: admin
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6

Package: raph-scripts
Architecture: all
Depends: apt, apt-show-versions, deborphan, bc, openssh-client, ${misc:Depends}
Description: Collection of script for Debian admins
 This package contains a collection of helpful scripts mostly targeted at Debian
 systems administrators, to upgrade packages, get rid of unnecessary ones, view
 at a glance the amount packages from mixed suites, or connecting to remote
 systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/raph-scripts install

binary-arch: install

binary-indep: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installdebconf
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install configure

## raph-scripts 2.1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	$(INSTALL) bin/* $(DESTDIR)/usr/bin
	$(INSTALL) -m 644 man/*.1 $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 man/*.5 $(DESTDIR)/usr/share/man/man5

clean:

=== debian/changelog ===
raph-scripts (2.1-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 09 Feb 2017 14:51:15 +0100

raph-scripts (2.1-1) unstable; urgency=low

  * New upstream release
    - [b24a0ec] ksm-mon: force LANG=C for top
    - [bfab5a7] deb-cleanup: add newlines after apt/dpkg commands
    - [7b06e21] ssh-to: remove SSH default options
    - [842312d] reconnect: remove SSH default options
    - [cda9ecb] ssh-to: remove buggy (and useless) per-host configuration files
    - [2bb1e20] Add ChangeLog

  * [190cd5d] Add new ChangeLog file to debian/docs

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 09 Feb 2017 14:42:05 +0100

raph-scripts (2.0-1) unstable; urgency=medium

  * New upstream release
    - Remove deb-upgrade (useless)
    - All scripts: complete rewrite
    - All scripts: add manpages
    - New script: swap-back
    - New script: v4l1

  * Switch package format from 3.0 (source) to 3.0 (quilt)
  * Update debian/rules to dh7 syntax
  * Split package

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 05 Apr 2016 08:34:40 +0200

raph-scripts (1.3) unstable; urgency=medium

  * Remove raph-shell-functions
  * Bump Standards-Version to 3.9.7, no changes required

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 25 Mar 2016 03:27:24 +0100

=== debian/control ===
Source: raph-scripts
Section: admin
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7

Package: raph-scripts-common
Architecture: all
Depends: shell-script-helper, ${misc:Depends}
Breaks: raph-scripts (<< 2.0-1~)
Replaces: raph-scripts (<< 2.0-1~)
Description: Raph's collection of shell scripts - Common files
 A collection of helpful shell scripts.
 .
 This package contains files common to all other raph-scripts packages.

Package: raph-scripts-admin-sys
Architecture: all
Depends: raph-scripts-common, ${misc:Depends}
Breaks: raph-scripts (<< 2.0-1~)
Replaces: raph-scripts (<< 2.0-1~)
Description: Raph's collection of shell scripts - System administration
 A collection of helpful shell scripts.
 .
 This package contains scripts aimed at system administration:
 .
  * swap-back - Transfer swap content back into RAM

Package: raph-scripts-admin-net
Architecture: all
Depends: raph-scripts-common, openssh-client, ${misc:Depends}
Breaks: raph-scripts (<< 2.0-1~)
Replaces: raph-scripts (<< 2.0-1~)
Description: Raph's collection of shell scripts - Network administration
 A collection of helpful shell scripts.
 .
 This package contains scripts aimed at network administration:
 .
  * reconnect - Try to reconnect quickly to a remote host
  * ssh-to - Connect to a remote host by typing a single command

Package: raph-scripts-admin-debian
Architecture: all
Depends: raph-scripts-common, bc, deborphan, apt-show-versions, ${misc:Depends}
Breaks: raph-scripts (<< 2.0-1~)
Replaces: raph-scripts (<< 2.0-1~)
Description: Raph's collection of shell scripts - Debian administration
 A collection of helpful shell scripts.
 .
 This package contains scripts aimed at administration of Debian systems:
 .
  * deb-cleanup - Query deborphan to aggressively clean up a Debian system
  * deb-mix - Track which Debian suite currently installed packages come from

Package: raph-scripts-monitors
Architecture: all
Depends: raph-scripts-common, bc, procps, ${misc:Depends}
Breaks: raph-scripts (<< 2.0-1~)
Replaces: raph-scripts (<< 2.0-1~)
Description: Raph's collection of shell scripts - Monitors
 A collection of helpful shell scripts.
 .
 This package contains scripts to monitor various things:
 .
  * bat-mon - Monitor battery activity
  * cpufreq-mon - Monitor CPU frequency scaling
  * ksm-mon - Monitor memory savings of Kernel Same-page Merging (KSM)

Package: raph-scripts-misc
Architecture: all
Depends: raph-scripts-common, file, ${misc:Depends}
Breaks: raph-scripts (<< 2.0-1~)
Replaces: raph-scripts (<< 2.0-1~)
Description: Raph's collection of shell scripts - Miscellaneous
 A collection of helpful shell scripts.
 .
 This package contains miscellaneous scripts:
 .
  * v4l1 - Run a program vith v4l1 compatibility library preloaded

Package: raph-scripts
Architecture: all
Depends: raph-scripts-admin-sys, raph-scripts-admin-net, raph-scripts-admin-debian, raph-scripts-monitors, raph-scripts-misc, ${misc:Depends}
Description: Raph's collection of shell scripts - All scripts
 A collection of helpful shell scripts.
 .
 This metapackage pulls in the whole collection.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs --link-doc raph-scripts-common
